Name | Type | Default |
animationDuration
|
Number
|
null
|
Sets or gets the animationDuration property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [animationDuration]="500" > </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
barSize
|
Size
|
50%
|
Sets or gets the barSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [barSize]="40%"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
description
|
String
|
'Description'
|
Sets or gets the description property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [description]="'Description'" > </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [disabled]="true"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
height
|
Size
|
100
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
labelsFormat
|
enum:BulletChartLabelsFormat
|
null
|
enum BulletChartLabelsFormat { null, d, f, n, c, p } Sets or gets the labelsFormat property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [labelsFormat]="'c'" > </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
labelsFormatFunction
|
(value?: Number, position?:String ) => Any
|
null
|
Sets or gets the labelsFormatFunction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [labelsFormatFunction]="labelsFormatFunction" > </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
orientation
|
enum:BulletChartOrientation
|
"horizontal"
|
enum BulletChartOrientation { horizontal, vertical } Sets or gets the orientation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [orientation]="'horizontal'" > </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
pointer
|
BulletChartPointer
|
{ value: 65, label: "Value", size: "25%", color: "" }
|
interface BulletChartPointer { value?: Number; label?: String; size?: Size; color?: String; } Sets or gets the pointer property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [rtl]="true"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
ranges
|
Array<BulletChartRanges>
|
[{ startValue: 0, endValue: 50, color: "#000000", opacity: 0.7 }, { startValue: 50, endValue: 80, color: "#000000", opacity: 0.5 }, { startValue: 80, endValue: 100, color: "#000000", opacity: 0.3}]
|
interface BulletChartRanges { startValue: Number; endValue: Number; opacity?: Number; color?: String; } Sets or gets the ranges property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
showTooltip
|
Boolean
|
true
|
Sets or gets the showTooltip property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [showTooltip]="false" > </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
target
|
BulletChartPointer
|
{ value: 85, label: "Target", size: 4, color: "" };
|
interface BulletChartPointer { value?: Number; label?: String; size?: Size; color?: String; } Sets or gets the target property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
ticks
|
BulletChartTicks
|
{ position: "far", interval: 20, size: 10 }
|
interface BulletChartTicks { position?: BulletChartTicksPosition; interval?: Number; size?: Number | String; } Sets or gets the ticks property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
title
|
String
|
'Title'
|
Sets or gets the title property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [title]="'Title'"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
tooltipFormatFunction
|
(pointerValue:Number , targetValue:Number) => String
|
null
|
Sets or gets the tooltipFormatFunction property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target" [tooltipFormatFunction]="tooltipFormatFunction" > </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
width
|
Size
|
500
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent { title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxBulletChart.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart (onChange)="Change($event)" [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent { Change(event: any): void { // Do Something } title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
|
Name | Return Type | Arguments |
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myBulletChart') myBulletChart: jqxBulletChartComponent; ngAfterViewInit(): void { this.myBulletChart.destroy(); } title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myBulletChart') myBulletChart: jqxBulletChartComponent; ngAfterViewInit(): void { this.myBulletChart.render(); } title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
refresh
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myBulletChart') myBulletChart: jqxBulletChartComponent; ngAfterViewInit(): void { this.myBulletChart.refresh(); } title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|
val
|
Number
|
value: Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxBulletChart #myBulletChart [width]="500" [height]="80" [pointer]="pointer" [ticks]="ticks" [ranges]="ranges" [target]="target"> </jqxBulletChart> `}) export class AppComponent implements AfterViewInit { @ViewChild( 'myBulletChart') myBulletChart: jqxBulletChartComponent; ngAfterViewInit(): void { let value = this.myBulletChart.val(50); } title: string = 'Revenue 2014 YTD'; description: string = '(U.S. $ in thousands)'; ranges: any[] = [ { startValue: 0, endValue: 200, color: '#000000', opacity: 0.5 }, { startValue: 200, endValue: 250, color: '#000000', opacity: 0.3 }, { startValue: 250, endValue: 300, color: '#000000', opacity: 0.1 } ]; pointer: any = { value: 270, label: 'Revenue 2014 YTD', size: '25%', color: 'Black'}; target: any = { value: 260, label: 'Revenue 2013 YTD', size: 4, color: 'Black' }; ticks: any = { position: 'both', interval: 50, size: 10 };
|

Name | Type | Default |
animationDuration
|
Number
|
null
|
Sets ot gets the bulletcharts's animationDuration.
Possible values
number
'slow'
'fast'
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :animationDuration="500" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
Get the animationDuration property. let animationDuration = this.$refs.myBulletChart.animationDuration;
|
barSize
|
String | Number
|
50%
|
Sets ot gets the bulletcharts's bar size.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :barSize="'40%'" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
description
|
String
|
'Description'
|
Sets ot gets the bulletcharts's description.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :description="'Description'" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
disabled
|
Boolean
|
false
|
Disables the bullet chart.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :disabled="true" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
height
|
Number | String
|
100
|
Sets ot gets the bulletcharts's height.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
labelsFormat
|
String
|
null
|
Sets ot gets the bulletcharts's labelsFormat.
Possible values:
"null"
"d" - decimal numbers
"f" - floating-point numbers
"n" - integer numbers
"c" - currency numbers
"p" - percentage numbers
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :labelsFormat="'c'" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
labelsFormatFunction
|
Function
|
null
|
Sets ot gets the bulletcharts's labelsFormatFunction.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :labelsFormatFunction="labelsFormatFunction" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, methods: { labelsFormatFunction: function (value, position) {
|
orientation
|
String
|
"horizontal"
|
Sets ot gets the bulletcharts's orientation.
Possible values:
"horizontal"
"vertical"
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :orientation="'horizontal'" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
pointer
|
Object
|
{ value: 65, label: "Value", size: "25%", color: "" }
|
Sets ot gets the bulletcharts's pointer.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :pointer="pointer" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :rtl="true" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
ranges
|
Array
|
[{ startValue: 0, endValue: 50, color: "#000000", opacity: 0.7 }, { startValue: 50, endValue: 80, color: "#000000", opacity: 0.5 }, { startValue: 80, endValue: 100, color: "#000000", opacity: 0.3}]
|
Sets ot gets the bulletcharts's range.
Possible values
'startValue' - the value from which the range will start
'endValue' - the value where the current range will end
'color' - the colour of the range
'opacity' - the opacity of the range
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :ranges="ranges" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, data: function () { return { ranges: [ { startValue: 0, endValue: 200, color: 'Blue', opacity: 0.6 }, { startValue: 200, endValue: 250, color: 'Black', opacity: 0.3
|
showTooltip
|
Boolean
|
true
|
Sets ot gets the bulletcharts's showTooltip.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :showTooltip="false" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
target
|
Object
|
{ value: 85, label: "Target", size: 4, color: "" };
|
Sets ot gets the bulletcharts's target.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :target="target" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, data: function () { return { target: { value: 270, label: 'Value', thickness: 8, color: 'White' }
|
ticks
|
Object
|
{ position: "far", interval: 20, size: 10 }
|
Sets ot gets the bulletcharts's ticks.
Possible values for ticks.position
"near" - positions the ticks at the top of the ranges bar if the orientation is set to "horizontal" and at the left if the orientation is set to "vertical";
"far" - positions the ticks at the bottom of the ranges bar if the orientation is set to "horizontal" and at the right if the orientation is set to "vertical";
"both"
"none"
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :ticks="ticks" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, data: function () { return { ticks: { position: 'near', interval: 20, size: 10 }
|
title
|
String
|
'Title'
|
Sets ot gets the bulletcharts's title.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :title="'Title'" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
tooltipFormatFunction
|
Function
|
null
|
Sets ot gets the bulletcharts's tooltipFormatFunction.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" :tooltipFormatFunction="tooltipFormatFunction" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, methods: { tooltipFormatFunction: function (pointerValue, targetValue) { return 'Current: ' + pointerValue + '; Average: ' + targetValue
|
width
|
Number | String
|
500
|
Sets ot gets the bulletcharts's width.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue';
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxBulletChart.
<template> <JqxBulletChart ref="myBulletChart" @change="onChange($event)" :width="500" :height="120" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, methods: { onChange: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
destroy
|
None
|
None
|
Destroy the jqxBulletChart widget.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, mounted: function () { this.$refs.myBulletChart.destroy();
|
render
|
None
|
None
|
Renders the jqxBulletChart widget.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, mounted: function () { this.$refs.myBulletChart.render();
|
refresh
|
None
|
None
|
Refresh the jqxBulletChart widget.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, mounted: function () { this.$refs.myBulletChart.refresh();
|
val
|
value
|
Number
|
Sets or gets the selected value.
<template> <JqxBulletChart ref="myBulletChart" :width="500" :height="120" /> </template>
<script> import JqxBulletChart from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbulletchart.vue'; export default { components: { JqxBulletChart }, mounted: function () { const value = this.$refs.myBulletChart.val(50);
|

Name | Type | Default |
animationDuration
|
number
|
null
|
Sets ot gets the bulletcharts's animationDuration.
Possible values
number
'slow'
'fast'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} animationDuration={500} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
barSize
|
number | string
|
50%
|
Sets ot gets the bulletcharts's bar size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} barSize={ '40%'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
description
|
string
|
'Description'
|
Sets ot gets the bulletcharts's description.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} description={ 'Description'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Disables the bullet chart.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} disabled={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
100
|
Sets ot gets the bulletcharts's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
labelsFormat
|
BulletChartLabelsFormat
|
null
|
BulletChartLabelsFormat: "null" | "d" | "f" | "n" | "c" | "p"
Sets ot gets the bulletcharts's labelsFormat.
Possible values:
"null"
"d" - decimal numbers
"f" - floating-point numbers
"n" - integer numbers
"c" - currency numbers
"p" - percentage numbers
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} labelsFormat={ 'c'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
labelsFormatFunction
|
(value?: BulletChartLabelsFormatFunction['value'], position?: BulletChartLabelsFormatFunction['position']) => any
|
null
|
Interface BulletChartLabelsFormatFunction { value?: string; position?: string; }
Sets ot gets the bulletcharts's labelsFormatFunction.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); constructor(props: {}) { super(props); this.state = { labelsFormatFunction: (value: string, position: string): any => { return value + 'C' } } } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} labelsFormatFunction={this.state.labelsFormatFunction} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
orientation
|
BulletChartOrientation
|
"horizontal"
|
BulletChartOrientation: "horizontal" | "vertical"
Sets ot gets the bulletcharts's orientation.
Possible values:
"horizontal"
"vertical"
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} orientation={ 'horizontal'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
pointer
|
BulletChartPointer
|
{ value: 65, label: "Value", size: "25%", color: "" }
|
Interface BulletChartPointer { value?: number; label?: string; size?: number | string; color?: string; }
Sets ot gets the bulletcharts's pointer.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); constructor(props: {}) { super(props); this.state = { pointer: { value: 270, label: 'Value', thickness: 8, color: 'White' } } } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} pointer={this.state.pointer} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} rtl={true} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
ranges
|
Array<BulletChartRanges>
|
[{ startValue: 0, endValue: 50, color: "#000000", opacity: 0.7 }, { startValue: 50, endValue: 80, color: "#000000", opacity: 0.5 }, { startValue: 80, endValue: 100, color: "#000000", opacity: 0.3}]
|
Interface BulletChartRanges { startValue?: number; endValue?: number; opacity?: number; color?: string; }
Sets ot gets the bulletcharts's range.
Possible values
'startValue' - the value from which the range will start
'endValue' - the value where the current range will end
'color' - the colour of the range
'opacity' - the opacity of the range
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); constructor(props: {}) { super(props); this.state = { ranges: [ { startValue: 0, endValue: 200, color: 'Blue', opacity: 0.6 }, { startValue: 200, endValue: 250, color: 'Black', opacity: 0.3 } ] } } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} ranges={this.state.ranges} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
showTooltip
|
boolean
|
true
|
Sets ot gets the bulletcharts's showTooltip.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} showTooltip={false} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
target
|
BulletChartPointer
|
{ value: 85, label: "Target", size: 4, color: "" };
|
Interface BulletChartPointer { value?: number; label?: string; size?: number | string; color?: string; }
Sets ot gets the bulletcharts's target.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); constructor(props: {}) { super(props); this.state = { target: { value: 270, label: 'Value', thickness: 8, color: 'White' } } } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} target={this.state.target} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
ticks
|
BulletChartTicks
|
{ position: "far", interval: 20, size: 10 }
|
BulletChartTicksPosition: "near" | "far" | "both" | "none"
Interface BulletChartTicks { position?: BulletChartTicksPosition; interval?: number; size?: number | string; }
Sets ot gets the bulletcharts's ticks.
Possible values for ticks.position
"near" - positions the ticks at the top of the ranges bar if the orientation is set to "horizontal" and at the left if the orientation is set to "vertical";
"far" - positions the ticks at the bottom of the ranges bar if the orientation is set to "horizontal" and at the right if the orientation is set to "vertical";
"both"
"none"
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); constructor(props: {}) { super(props); this.state = { ticks: { position: 'near', interval: 20, size: 10 } } } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} ticks={this.state.ticks} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
title
|
string
|
'Title'
|
Sets ot gets the bulletcharts's title.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} title={ 'Title'} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
tooltipFormatFunction
|
(pointerValue?: BulletChartTooltipFormatFunction['pointerValue'], targetValue?: BulletChartTooltipFormatFunction['targetValue']) => string
|
null
|
Interface BulletChartTooltipFormatFunction { pointerValue?: number; targetValue?: number; }
Sets ot gets the bulletcharts's tooltipFormatFunction.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); constructor(props: {}) { super(props); this.state = { tooltipFormatFunction: (pointerValue: number, targetValue: number): any => { return 'Current: ' + pointerValue + '; Average: ' + targetValue } } } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} tooltipFormatFunction={this.state.tooltipFormatFunction} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
500
|
Sets ot gets the bulletcharts's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered when the value is changed.
Code examples
Bind to the change event of jqxBulletChart.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public render() { return ( <JqxBulletChart ref={this.myBulletChart} onChange={this.onChange} width={500} height={120} /> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
destroy
|
None
|
|
Destroy the jqxBulletChart widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public componentDidMount(): void { this.myBulletChart.current!.destroy(); } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the jqxBulletChart widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public componentDidMount(): void { this.myBulletChart.current!.render(); } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
refresh
|
None
|
|
Refresh the jqxBulletChart widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public componentDidMount(): void { this.myBulletChart.current!.refresh(); } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
val
|
value
|
|
Sets or gets the selected value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxBulletChart, { IBulletChartProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxbulletchart'; class App extends React.PureComponent<{}, IBulletChartProps> { private myBulletChart = React.createRef<JqxBulletChart>(); public componentDidMount(): void { this.myBulletChart.current!.val(50); } public render() { return ( <JqxBulletChart ref={this.myBulletChart} width={500} height={120} /> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|